로그 소스

로그 소스에 대한 REST API 작업

개요

circle-info

와 같이 반환할 수 있습니다(스타일 취향에 따라). /log-sources REST API 작업은 Panther 버전 1.111부터 오픈 베타로 제공되며 모든 고객이 이용할 수 있습니다. 버그 보고 및 기능 요청은 Panther 지원팀에 공유해 주세요.

이 API 작업을 사용하여 로그 소스 Panther에서. 현재, HTTP 소스 가 지원됩니다. (여기에는 지원되는 로그 소스 가 전송 메커니즘으로 HTTP를 사용하는 경우는 포함되지 않습니다.)

API 호출 방법은 Panther REST API 사용 방법 지침을 참조하세요—포함하여 이 문서 페이지에서 직접 호출하는 방법에 대한 지침.

필수 권한

  • 에 대해 GET 작업의 경우, API 토큰은 로그 소스 보기 권한을 가져야 합니다.

  • 에 대해 POST, PUT, 및 DELETE 작업의 경우, API 토큰은 로그 소스 관리 권한을 가져야 합니다.

작업

create http source

post
Authorizations
X-API-KeystringRequired
Body
authBearerTokenstringOptional

The authentication bearer token value of the http source. Used for Bearer auth method

authHeaderKeystringOptional

The authentication header key of the http source. Used for HMAC and SharedSecret auth methods

authHmacAlgstringOptional

The authentication algorithm of the http source. Used for HMAC auth method

authMethodstring · enumRequired

The authentication method of the http source

Possible values:
authPasswordstringOptional

The authentication header password of the http source. Used for Basic auth method

authSecretValuestringOptional

The authentication header secret value of the http source. Used for HMAC and SharedSecret auth methods

authUsernamestringOptional

The authentication header username of the http source. Used for Basic auth method

integrationLabelstringRequired

The integration label (name)

logStreamTypestring · enumRequired

The log stream type. Supported log stream types: Auto, JSON, JsonArray, Lines, CloudWatchLogs, XML

Possible values:
logTypesstring[]Required

The log types of the integration

Responses
post
/log-sources/http

get http source

get
Authorizations
X-API-KeystringRequired
Path parameters
idstringRequired

ID of the http source to fetch

Responses
chevron-right
200

OK response.

application/json
get
/log-sources/http/{id}

put http source

put

put updates an http source

Authorizations
X-API-KeystringRequired
Path parameters
idstringRequired

ID of the http source to update

Body
authBearerTokenstringOptional

The authentication bearer token value of the http source. Used for Bearer auth method

authHeaderKeystringOptional

The authentication header key of the http source. Used for HMAC and SharedSecret auth methods

authHmacAlgstringOptional

The authentication algorithm of the http source. Used for HMAC auth method

authMethodstring · enumRequired

The authentication method of the http source

Possible values:
authPasswordstringOptional

The authentication header password of the http source. Used for Basic auth method

authSecretValuestringOptional

The authentication header secret value of the http source. Used for HMAC and SharedSecret auth methods

authUsernamestringOptional

The authentication header username of the http source. Used for Basic auth method

integrationLabelstringRequired

The integration label (name)

logStreamTypestring · enumRequired

The log stream type. Supported log stream types: Auto, JSON, JsonArray, Lines, CloudWatchLogs, XML

Possible values:
logTypesstring[]Required

The log types of the integration

Responses
chevron-right
200

OK response.

application/json
put
/log-sources/http/{id}

delete http source

delete
Authorizations
X-API-KeystringRequired
Path parameters
idstringRequired

ID of the http source to delete

Responses
delete
/log-sources/http/{id}

No content

Last updated

Was this helpful?